      SUBROUTINE WCONV(Jconv,nwmax,omegd,q_int)
c---------------------------------------------------------------------
C  OUTPUT CONVERGENCE INFORMATION Jconv(nw)
c----------------------------------------------------------------------
c  Input
C    Jconv : Converged Jtr
c    nwmax : maximum number of transferred energies
c    omegd: table of transferred intrinsic energies
c    q_int : Transfered intrinsic momentum
c----------------------------------------------------------------------
      dimension omegd(*),Jconv(*)
C
      write(6,1000)
            write(6,2000) q_int
            do nw=1,nwmax
               if(Jconv(nw).eq.0) then
                  write(6,2010) omegd(nw)
               else
                  write(6,2020) omegd(nw),Jconv(nw)
               end if
            end do
C
 1000 format(
     &/'==============================================================='
     &/'CONVERGENCE CHECK INFORMATION'
     &/'---------------------------------------------------------------'
     &)
 2000 format('  q_int =',f6.2,'(1/fm)')
 2010 format('    omega =',f6.2,'   Not converged !!!')
 2020 format('    omega =',f6.2,'   Jconv =',I3)
c
      return
      end
